Bug 235928 - digikam fails to open database at startup
Summary: digikam fails to open database at startup
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Database-Scan (show other bugs)
Version: 1.3.0
Platform: unspecified Linux
: VHI grave (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-01 17:42 UTC by Gandalf Lechner
Modified: 2017-07-25 13:19 UTC (History)
10 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.0.0


Attachments
digikamrc file from Gilles Caulier computer (763 bytes, text/plain)
2010-05-11 10:37 UTC, caulier.gilles
Details
lead sqlite DB file from Gilles Caulier computer (180.00 KB, application/octet-stream)
2010-05-11 10:38 UTC, caulier.gilles
Details
thumbs sqlite DB file from Gilles Caulier computer (14.00 KB, application/octet-stream)
2010-05-11 10:39 UTC, caulier.gilles
Details
digikamrc file from 2nd Gilles Caulier computer (5.95 KB, text/plain)
2010-05-11 16:26 UTC, caulier.gilles
Details
lead sqlite DB file from 2nd Gilles Caulier computer (833.00 KB, application/octet-stream)
2010-05-11 16:27 UTC, caulier.gilles
Details
thumbs sqlite DB file from 2nd Gilles Caulier computer (14.00 KB, application/octet-stream)
2010-05-11 16:28 UTC, caulier.gilles
Details
digikamrc file from 3th Gilles Caulier computer (5.92 KB, text/plain)
2010-05-11 17:22 UTC, caulier.gilles
Details
lead sqlite DB file from 3th Gilles Caulier computer (79.00 KB, application/octet-stream)
2010-05-11 17:23 UTC, caulier.gilles
Details
thumbs sqlite DB file from 3th Gilles Caulier computer (14.00 KB, application/octet-stream)
2010-05-11 17:24 UTC, caulier.gilles
Details
Digikam Config 1.2 (5.83 KB, application/octet-stream)
2010-05-14 19:02 UTC, Jens Mueller
Details
Modified xml to reduce index string to 254 (56.40 KB, application/xml)
2010-08-01 11:20 UTC, Bruno Friedmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gandalf Lechner 2010-05-01 17:42:14 UTC
Version:           1.3.0 (rev.: 1120749) (using 4.4.2 (KDE 4.4.2), Kubuntu packages)
Compiler:          cc
OS:                Linux (x86_64) release 2.6.32-22-generic

When starting digikam, there appears an error message window saying

Error while opening the database. digikam will try to automatically reconnect to the database.

Here the program ist stuck. When hitting cancel, there is an info explaining that digikam starts but will not work since opening the database failed. And indeed, no albums are listed and the program can not be used at all.

In the konsole appear messages like

digikam(29823)/digikam (core): Error while opening the database. Error details [ QSqlError(-1, "", "") ] 
...
QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest' is still in use, all queries will cease to work.
QSqlDatabase:  driver not loaded
QSqlDatabase: available drivers: QSQLITE QSQLITE2 QMYSQL3 QMYSQL
QSqlDatabasePrivate::removeDatabase: connection 'digikamDatabase-33407184' is still in use, all queries will cease to work.
QSqlDatabase:  driver not loaded
...
Comment 1 Marcel Wiesweg 2010-05-02 15:33:01 UTC
Did you change anything except for updating SVN and recompiling? Did you change database settings?
Comment 2 Gandalf Lechner 2010-05-02 18:51:01 UTC
this happened after switching to a new computer. there was no database, i just compiled digikam and started it for the first time, then experienced the problem. i tried several times after that, but cannot get it to work.
Comment 3 caulier.gilles 2010-05-03 08:16:08 UTC
Yes, same for me... Already reported to devel mailing list there :

http://article.gmane.org/gmane.comp.kde.digikam.devel/45760

Gilles Caulier
Comment 4 Marcel Wiesweg 2010-05-03 17:23:46 UTC
Yes Holger and or me need to polish these cases a bit more...
Comment 5 Gandalf Lechner 2010-05-03 17:25:29 UTC
For the time being, is there a known workaround?
Comment 6 caulier.gilles 2010-05-04 09:58:59 UTC
I don't find a work around there. Problem still there on 3 new computers...

Gilles Caulier
Comment 7 Jens Mueller 2010-05-04 10:10:07 UTC
As a workarroud you have to patch digikamrc file, section '[Database Settings]':
The directory path of 'Database Name' and 'Database Name Thumbnails' have to end with a tailing '/'. As a expample you could also look in http://www.digikam.org/drupal/download/SvnAlongStable (scroll down to the end).

Regards, Jens
Comment 8 caulier.gilles 2010-05-04 10:52:08 UTC
Jens, 

To let (default settings) or remove trailing backslash at end of this entries in digikamrc file doesn't fix the problem there...

Gilles
Comment 9 Quallenauge 2010-05-04 12:08:10 UTC
I have changed the way, how the first run dialog saves it's settings to save it's settings always to the newest format.
The settings where stored in an old format. Maybe this has confused digikam at startup.
Jens:   Can you please try revision: 1122611 ?
Gilles: Is this also fixed for you?

--
Holger
Comment 10 Jens Mueller 2010-05-04 22:48:35 UTC
Ok, I think it is a bit better now but anyway not in right state. I tested 3 scenarios:

1. Update from 1.2 (having old digikamrc file and existing database)
starting up digikam firing up error message as reporter pointed out 

2. Partially update (having existing database, but no settings file)
wizard is shown, clicking though and all is working fine afterwards

3. Fresh install (having no digikamrc and no old database)
wizard pops up, asking for album root and database path as above, switching though all pages. At the end there is a new dialog showing you configured albums, but the one from wizards first page is not in there.
3a) adding path to album root again: scan is started, completed and a second progressbar is shown, but stick at 0%; cancel, close, new digikam start shows no albums
3b) clicking ok, digikam starts and no albums are shown, adding album root in settings, scan performs but still no albums shown afterwards.

Regards, Jens
Comment 11 Gandalf Lechner 2010-05-04 22:52:10 UTC
I can confirm scenario 3, that's what I see here as well.
Comment 12 caulier.gilles 2010-05-06 08:07:00 UTC
SVN commit 1122611 by foerster:

On first run dialog, save database settings with methods provided by DatabaseParameters to ensure the same settings format is used.
This should be a fix: B.K.O. 235928.

 M  +3 -2      libs/database/databaseparameters.cpp
 M  +7 -4      utilities/firstrun/collectionpage.cpp


--- trunk/extragear/graphics/digikam/libs/database/databaseparameters.cpp #1122610:1122611
@@ -7,7 +7,7 @@
 * Description : Storage container for database connection parameters.
 *
 * Copyright (C) 2007-2008 by Marcel Wiesweg <marcel dot wiesweg at gmx dot de>
- * Copyright (C) 2010 by Holger Förster <hamsi2k at freenet dot de>
+ * Copyright (C) 2010 by Holger F�rster <hamsi2k at freenet dot de>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
@@ -188,6 +188,7 @@
        const QString miscDir = KStandardDirs::locateLocal("data", "digikam/db_misc");
        databaseType= "QMYSQL";
        databaseName = "digikam";
+        internalServer = false;
        databaseNameThumbnails = "digikam";
        hostName = QString();
        port = -1;
@@ -306,7 +307,7 @@

 DatabaseParameters DatabaseParameters::parametersForSQLiteDefaultFile(const QString& directory)
 {
-    QString filePath = directory + '/' + "digikam4.db";
+    QString filePath = directory + QDir::separator() + "digikam4.db";
    filePath = QDir::cleanPath(filePath);
    return parametersForSQLite(filePath);
 }
--- trunk/extragear/graphics/digikam/utilities/firstrun/collectionpage.cpp #1122610:1122611
@@ -46,7 +46,7 @@
 #include <kdebug.h>

 // Local includes
-
+#include <databaseparameters.h>
 #include "version.h"

 namespace Digikam
@@ -168,9 +168,12 @@
    KConfigGroup group        = config->group("General Settings");
    group.writeEntry("Version", digikam_version);

-    group = config->group("Album Settings");
-    group.writeEntry("Album Path",         d->rootAlbum);
-    group.writeEntry("Database File Path", d->dbPath);
+    DatabaseParameters params;
+    params.databaseType = "QSQLITE";
+    params.internalServer = false;
+    params.databaseName = d->dbPath + QDir::separator();
+    params.databaseNameThumbnails = d->dbPath + QDir::separator();
+    params.writeToConfig(config);

    config->sync();
 }
Comment 13 caulier.gilles 2010-05-06 08:07:37 UTC
I will test on my computers this morning...

Gilles
Comment 14 caulier.gilles 2010-05-06 10:33:44 UTC
Ok, i start new one to setup database from a fresh install, where digiKam have never been installed before. There is no DB file, no digikamrc file, no DB settings files. First Run assistant is launched. i set these paths: 

/mnt/data/Rep1 as 1th collection of images
/mnt/data/Database as DB storage place.

/mnt/data is local HDD partition.

After to fill First Run assistant, i press Finish button. Items scan start but stop imediatly, and Collection settings setup page appear, with no root collection set. Why ? I set /mnt/data/Rep1 just before in assistant ?

No problem, i set again this place in this setup page, as local collection...

I press OK. Scan start again. Note that setup page still present on screen in background. Why ? I can see progress dialog in foreground, and progress bar is fine. This take a while. Seeing setup page just behind confuse me !

Scan of items is done... Et volà : digiKam is locked again : Progress dialog is set to 0% with message "Preparing to scan". At this time setup page is closed in background... very strange.

Now, i look in the console :

Error: Directory NikonPreview, entry 0x2fbf has invalid size 876570001*1; skipping entry.                                     
Warning: Directory NikonPreview, entry 0x00d8 has unknown Exif (TIFF) type 15610; setting type size 1.                        
Error: Directory NikonPreview, entry 0x00d8 has invalid size 1911379402*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0xdb95 has unknown Exif (TIFF) type 13480; setting type size 1.                        
Error: Directory NikonPreview, entry 0xdb95 has invalid size 800410958*1; skipping entry.                                     
Warning: Directory NikonPreview, entry 0x430f has unknown Exif (TIFF) type 13363; setting type size 1.                        
Error: Directory NikonPreview, entry 0x430f has invalid size 2715435255*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0xa2d1 has unknown Exif (TIFF) type 27319; setting type size 1.                        
Error: Directory NikonPreview, entry 0xa2d1 has invalid size 2333529160*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0x30c0 has unknown Exif (TIFF) type 25543; setting type size 1.                        
Error: Directory NikonPreview, entry 0x30c0 has invalid size 1061874228*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0xb1fb has unknown Exif (TIFF) type 19632; setting type size 1.                        
Error: Directory NikonPreview, entry 0xb1fb has invalid size 2864330649*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0x6318 has unknown Exif (TIFF) type 64570; setting type size 1.                        
Error: Directory NikonPreview, entry 0x6318 has invalid size 1463383915*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0x16f7 has unknown Exif (TIFF) type 3950; setting type size 1.                         
Error: Directory NikonPreview, entry 0x16f7 has invalid size 778317090*1; skipping entry.                                     
Warning: Directory NikonPreview, entry 0x3d7f has unknown Exif (TIFF) type 6866; setting type size 1.                         
Error: Directory NikonPreview, entry 0x3d7f has invalid size 718451234*1; skipping entry.                                     
Warning: Directory NikonPreview, entry 0x2232 has unknown Exif (TIFF) type 17676; setting type size 1.                        
Error: Directory NikonPreview, entry 0x2232 has invalid size 2776841409*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0xa9fe has unknown Exif (TIFF) type 52496; setting type size 1.                        
Error: Directory NikonPreview, entry 0xa9fe has invalid size 2425943808*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0x3b7f has unknown Exif (TIFF) type 10890; setting type size 1.                        
Error: Directory NikonPreview, entry 0x3b7f has invalid size 1240243930*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0x8b76 has unknown Exif (TIFF) type 58984; setting type size 1.                        
Error: Directory NikonPreview, entry 0x8b76 has invalid size 2981837044*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0xc1bd has unknown Exif (TIFF) type 45427; setting type size 1.                        
Error: Directory NikonPreview, entry 0xc1bd has invalid size 505146366*1; skipping entry.                                     
Warning: Directory NikonPreview, entry 0x5192 has unknown Exif (TIFF) type 59955; setting type size 1.                        
Error: Directory NikonPreview, entry 0x5192 has invalid size 3420398134*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0x74c5 has unknown Exif (TIFF) type 19130; setting type size 1.                        
Error: Directory NikonPreview, entry 0x74c5 has invalid size 1992902361*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0xfb51 has unknown Exif (TIFF) type 140; setting type size 1.                          
Error: Directory NikonPreview, entry 0xfb51 has invalid size 2801729718*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0x1639 has unknown Exif (TIFF) type 59965; setting type size 1.                        
Error: Directory NikonPreview, entry 0x1639 has invalid size 2874028292*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0xccb1 has unknown Exif (TIFF) type 896; setting type size 1.                          
Error: Directory NikonPreview, entry 0xccb1 has invalid size 3303259706*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0x266b has unknown Exif (TIFF) type 59758; setting type size 1.                        
Error: Offset of directory NikonPreview, entry 0x266b is out of bounds: Offset = 0xa918ec4e; truncating the entry             
Warning: Directory NikonPreview, entry 0x3fa8 has unknown Exif (TIFF) type 43426; setting type size 1.                        
Error: Directory NikonPreview, entry 0x3fa8 has invalid size 2992167382*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0x339e has unknown Exif (TIFF) type 41875; setting type size 1.                        
Error: Directory NikonPreview, entry 0x339e has invalid size 4243225070*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0x5036 has unknown Exif (TIFF) type 57532; setting type size 1.                        
Error: Directory NikonPreview, entry 0x5036 has invalid size 2263756879*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0xcffd has unknown Exif (TIFF) type 59996; setting type size 1.                        
Error: Directory NikonPreview, entry 0xcffd has invalid size 3677004264*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0xf854 has unknown Exif (TIFF) type 62153; setting type size 1.                        
Error: Directory NikonPreview, entry 0xf854 has invalid size 3996596397*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0xe47c has unknown Exif (TIFF) type 57444; setting type size 1.                        
Error: Directory NikonPreview, entry 0xe47c has invalid size 515894646*1; skipping entry.                                     
Warning: Directory NikonPreview, entry 0xa6b3 has unknown Exif (TIFF) type 4432; setting type size 1.                         
Error: Directory NikonPreview, entry 0xa6b3 has invalid size 1339955495*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0xad55 has unknown Exif (TIFF) type 28160; setting type size 1.                        
Error: Directory NikonPreview, entry 0xad55 has invalid size 1275276301*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0x9eff has unknown Exif (TIFF) type 90; setting type size 1.                           
Error: Directory NikonPreview, entry 0x9eff has invalid size 3589323985*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0xe809 has unknown Exif (TIFF) type 11838; setting type size 1.                        
Error: Directory NikonPreview, entry 0xe809 has invalid size 4041979091*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0x8eb0 has unknown Exif (TIFF) type 17184; setting type size 1.                        
Error: Directory NikonPreview, entry 0x8eb0 has invalid size 4278216664*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0x6de4 has unknown Exif (TIFF) type 52988; setting type size 1.                        
Error: Directory NikonPreview, entry 0x6de4 has invalid size 1743841626*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0x7073 has unknown Exif (TIFF) type 49370; setting type size 1.                        
Error: Directory NikonPreview, entry 0x7073 has invalid size 1920963875*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0xdc03 has unknown Exif (TIFF) type 54050; setting type size 1.                        
Error: Directory NikonPreview, entry 0xdc03 has invalid size 2998406326*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0xf0ab has unknown Exif (TIFF) type 8904; setting type size 1.                         
Error: Directory NikonPreview, entry 0xf0ab has invalid size 839450655*1; skipping entry.                                     
Warning: Directory NikonPreview, entry 0x6afa has unknown Exif (TIFF) type 30123; setting type size 1.                        
Error: Directory NikonPreview, entry 0x6afa has invalid size 3328545375*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0xe4e7 has unknown Exif (TIFF) type 5454; setting type size 1.                         
Error: Directory NikonPreview, entry 0xe4e7 has invalid size 954353193*1; skipping entry.                                     
Warning: Directory NikonPreview, entry 0x536e has unknown Exif (TIFF) type 15591; setting type size 1.                        
Error: Directory NikonPreview, entry 0x536e has invalid size 1447309994*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0x527b has unknown Exif (TIFF) type 29571; setting type size 1.                        
Error: Directory NikonPreview, entry 0x527b has invalid size 1557049204*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0x92d9 has unknown Exif (TIFF) type 22724; setting type size 1.                        
Error: Directory NikonPreview, entry 0x92d9 has invalid size 1848583604*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0xe555 has unknown Exif (TIFF) type 29070; setting type size 1.                        
Error: Directory NikonPreview, entry 0xe555 has invalid size 1417005519*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0xb98e has unknown Exif (TIFF) type 56904; setting type size 1.                        
Error: Directory NikonPreview, entry 0xb98e has invalid size 3884295030*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0x9501 has unknown Exif (TIFF) type 34391; setting type size 1.                        
Error: Directory NikonPreview, entry 0x9501 has invalid size 463221626*1; skipping entry.                                     
Warning: Directory NikonPreview, entry 0xe16a has unknown Exif (TIFF) type 36549; setting type size 1.                        
Error: Directory NikonPreview, entry 0xe16a has invalid size 4130545405*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0xa1b4 has unknown Exif (TIFF) type 26408; setting type size 1.                        
Error: Directory NikonPreview, entry 0xa1b4 has invalid size 2902944250*1; skipping entry.                                    
Warning: Directory NikonPreview, entry 0x7176 has unknown Exif (TIFF) type 28251; setting type size 1.                        
Error: Directory NikonPreview, entry 0x7176 has invalid size 2093039961*1; skipping entry.                                    
digikam(22831)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/test.cameragui/10.png"  : PNG file identified              
digikam(22831)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/test.cameragui/10.png"         
digikam(22831)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/test.cameragui/DepecheModeJohn TheRe.avi"                                                                                                                    
digikam(22831)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/test.cameragui/PreciousDepeche Mode.avi"                                                                                                                     
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 1 ""                            
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 2 ""                            
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 3 ""                            
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 4 ""                            
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 5 ""                            
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 6 ""                            
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 7 ""                            
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 8 ""                            
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 9 ""                            
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 10 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 11 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 12 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 13 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 14 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 15 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 16 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 17 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 18 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 19 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 20 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 21 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 22 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 23 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 24 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 25 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 26 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 27 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 28 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 29 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 30 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 31 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 32 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 33 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 34 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 35 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 36 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 37 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 38 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 39 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 40 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 41 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 42 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 43 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 44 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 45 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 46 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 47 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 48 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 49 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 50 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 51 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 52 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 53 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 54 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 55 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 56 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 57 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 58 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 59 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 60 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 61 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 62 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 63 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 64 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 65 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 66 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 67 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 68 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 69 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 70 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 71 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 72 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 73 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 74 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 75 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 76 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 77 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 78 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 79 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 80 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 81 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 82 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 83 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 84 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 85 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 86 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 87 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 88 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 89 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 90 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 91 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 92 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 93 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 94 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 95 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 96 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 97 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 98 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 99 ""                           
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 100 ""                          
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 101 ""                          
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 102 ""                          
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 103 ""                          
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 104 ""                          
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 105 ""                          
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 106 ""                          
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 107 ""                          
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 108 ""                          
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 109 ""                          
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 110 ""                          
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 111 ""                          
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 112 ""                          
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 113 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 114 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 115 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 116 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 117 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 118 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 119 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 120 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 121 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 122 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 123 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 124 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 125 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 126 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 127 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 128 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 129 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 130 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 131 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 132 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 133 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 134 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 135 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 136 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 137 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 138 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 139 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 140 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 141 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 142 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 143 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 144 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 145 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 146 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 147 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 148 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 149 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 150 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 151 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 152 ""
digikam(22831)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 153 ""
digikam(22831)/KIPI (loading) KIPI::PluginLoader::instance: KIPI::PluginLoader::instance is null...
digikam(22831)/digikam (core) Digikam::ThumbnailLoadThread::initializeThumbnailDatabase: Thumbnail db ready for use

... Look like digiKam is locked to create thumbnail database. Why ?

So, i press "Cancel" button from progress dialog : dialog i s closed, but nothing happen. nothing appear in the console... Bah... I press CTRL+C...

And i re-start digiKam as well : scan of item start again. Progress bar is set to 100% imediatly and still frozen on screen. No more info appears on the console :

[gilles@localhost ~]$ digikam                                                                                                  
digikam(23861)/digikam (core) Digikam::AlbumManager::setDatabase: DatabaseParameters: [ Type "QSQLITE", Name "/mnt/data/Datab ase/digikam4.db" (Thumbnails Name "/mnt/data/Database/thumbnails-digikam.db"); ConnectOptions: "", Host Name and Port: "" -1;  Username and Password: "", ""]                                                                                               
QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest' is still in use, all queries will cease to work.             
digikam(23861)/digikam (core) Digikam::SchemaUpdater::update: SchemaUpdater update                                            
digikam(23861)/digikam (core) Digikam::SchemaUpdater::startUpdates: Have a database structure version  "5"                    
digikam(23861)/digikam (core) Digikam::SchemaUpdater::makeUpdates: makeUpdates  5  to  5                                      
digikam(23861)/digikam (core) Digikam::AlbumRootLocation::AlbumRootLocation: Creating new Location  "/Rep1"  uuid  "volumeid: ?mountpath=%2Fmnt%2Fdata%2F"                                                                                                  
digikam(23861)/digikam (core) Digikam::CollectionManager::updateLocations: location for  "/mnt/data/Rep1"  is available  true 
digikam(23861)/digikam (core) Digikam::ThumbnailSchemaUpdater::startUpdates: Have a database structure version  "1"           
digikam(23861)/digikam (core) Digikam::ThumbnailLoadThread::initializeThumbnailDatabase: Thumbnail db ready for use           
digikam(23861)/digikam (core) Digikam::DatabaseConfigElementLoader::readConfig: "/usr/share/apps/digikam/database/dbconfig.xm l"                                                                                                                            
Error: Directory NikonPreview with 16723 entries considered invalid; not read.                                                
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010005.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010005.JPG"             
digikam(23861)/digikam (core) Digikam::DatabaseCoreBackendPrivate::debugOutputFailedQuery: Failure executing query:           
 "INSERT INTO Tags (pid, name) VALUES( ?, ?);"                                                                                
Error messages: "constraint failed Unable to fetch row" 19 1 "constraint failed" "Unable to fetch row" QSqlError(-1, "", "")  
Bound values:  (QVariant(int, 0) ,  QVariant(QString, "bbb") )                                                                
QMetaMethod::invoke: Unable to handle unregistered datatype 'DatabaseErrorAnswer*'                                            
digikam(23861)/digikam (core) Digikam::DatabaseCoreBackend::execDBAction: Error while executing DBAction [ "InsertTag" ] Stat ement [ "INSERT INTO Tags (pid, name) VALUES( :tagPID, :tagname);" ]                                                          
Error: Directory NikonPreview with 16723 entries considered invalid; not read.                                                
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010006.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010006.JPG"             
Error: Directory NikonPreview with 16723 entries considered invalid; not read.                                                
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010007.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010007.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010008.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010008.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010009.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010009.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010010.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010010.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010011.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010011.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010012.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010012.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010013.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010013.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010014.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010014.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010015.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010015.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010016.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010016.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010017.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010017.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010018.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010018.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010019.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010019.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010020.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010020.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010021.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010021.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010022.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010022.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010023.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010023.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010024.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010024.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010025.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010025.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010026.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010026.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010027.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010027.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010028.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010028.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010029.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010029.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010030.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010030.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010031.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010031.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010032.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010032.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010033.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010033.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010034.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010034.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010035.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010035.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010036.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010036.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010037.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010037.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010038.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010038.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010039.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010039.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010040.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010040.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010041.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010041.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010042.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010042.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010043.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010043.JPG"             
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010044.JPG"  : JPEG file identified                 
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010044.JPG"
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010045.JPG"  : JPEG file identified
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010045.JPG"
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010046.JPG"  : JPEG file identified
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010046.JPG"
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010047.JPG"  : JPEG file identified
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010047.JPG"
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010048.JPG"  : JPEG file identified
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010048.JPG"
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010049.JPG"  : JPEG file identified
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010049.JPG"
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010050.JPG"  : JPEG file identified
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010050.JPG"
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010051.JPG"  : JPEG file identified
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010051.JPG"
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010052.JPG"  : JPEG file identified
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010052.JPG"
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010053.JPG"  : JPEG file identified
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010053.JPG"
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010054.JPG"  : JPEG file identified
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010054.JPG"
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010055.JPG"  : JPEG file identified
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010055.JPG"
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010056.JPG"  : JPEG file identified
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010056.JPG"
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010057.JPG"  : JPEG file identified
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010057.JPG"
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010058.JPG"  : JPEG file identified
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010058.JPG"
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010059.JPG"  : JPEG file identified
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010059.JPG"
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010061.JPG"  : JPEG file identified
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010061.JPG"
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010063.JPG"  : JPEG file identified
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010063.JPG"
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010064.JPG"  : JPEG file identified
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010064.JPG"
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/NEW2/P1010065.JPG"  : JPEG file identified
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/NEW2/P1010065.JPG"
digikam(23861)/digikam (core) Digikam::DImg::load: "/mnt/data/Rep1/PhotoShop 7.0/0-avec metadata photoshop.jpg"  : JPEG file identified
digikam(23861)/digikam (core) Digikam::ImageScanner::addImage: Adding new item "/mnt/data/Rep1/PhotoShop 7.0/0-avec metadata photoshop.jpg"

There is a very nice message about DB on the console :

digikam(23861)/digikam (core) Digikam::DatabaseCoreBackendPrivate::debugOutputFailedQuery: Failure executing query:           
 "INSERT INTO Tags (pid, name) VALUES( ?, ?);"                                                                                
Error messages: "constraint failed Unable to fetch row" 19 1 "constraint failed" "Unable to fetch row" QSqlError(-1, "", "")  
Bound values:  (QVariant(int, 0) ,  QVariant(QString, "bbb") )                                                                
QMetaMethod::invoke: Unable to handle unregistered datatype 'DatabaseErrorAnswer*'                                            
digikam(23861)/digikam (core) Digikam::DatabaseCoreBackend::execDBAction: Error while executing DBAction [ "InsertTag" ] Stat ement [ "INSERT INTO Tags (pid, name) VALUES( :tagPID, :tagname);" ]                   

I press CTRL+C again, and start again. This time digiKam scan items better... (why ?)... And finaly start the gui...

... but there is no more physical albums available on the left sidebar. Date album are there, but when i select one, no items appears in icon view. There is no Tags albums here too (i'm sure that i have saved tags in JPEGs file before, and these must be imported to DB)

... digiKam is not suitable !

Please try to reproduce the problem on your computer as well.

Gilles Caulier
Comment 15 Gandalf Lechner 2010-05-07 08:50:30 UTC
I see the same behaviour as described in comment #14 here; can't use digikam right now.
Comment 16 caulier.gilles 2010-05-10 12:21:34 UTC
This bug must be fixed before next 1.3.0 release, planed at end of may...

Gilles Caulier
Comment 17 Marcel Wiesweg 2010-05-10 22:49:01 UTC
SVN commit 1125167 by mwiesweg:

- fix stupid mistake taking lock count of mutex. Resulted in a few deadlocks.
- prepare DatabaseErrorAnswer and SqlQuery for being sent in a queued signal

CCBUG: 235928

 M  +4 -1      databasecorebackend.cpp  
 M  +6 -0      databaseerrorhandler.h  
 M  +4 -1      sqlquery.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1125167
Comment 18 Marcel Wiesweg 2010-05-10 22:49:05 UTC
SVN commit 1125168 by mwiesweg:

Reorganize main():
Move database initialization to main. Previously, for example, the first album root
set in the FirstRun assistant was simply ignored.
Try to structure it a bit more. Try to reinstate the command line parameter
to set db dir, untested.

CCBUG: 235928

 M  +3 -9      digikam/albummanager.cpp  
 M  +0 -2      digikam/digikamapp.cpp  
 M  +47 -48    digikam/main.cpp  
 M  +1 -5      utilities/firstrun/collectionpage.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1125168
Comment 19 caulier.gilles 2010-05-11 08:45:48 UTC
Marcel,

I will try your fixes this morning, on 2 computers.

Gilles Caulier
Comment 20 Gandalf Lechner 2010-05-11 10:18:32 UTC
This is how it works for me now:

Starting from scratch (no database, no settings), I set my path in the welcome dialog, but then have to set it again after the first run wizard is completed. Scanning seems to work ok and does not get stuck anymore, but then, there are no albums visible in digikam afterwards.
Comment 21 caulier.gilles 2010-05-11 10:34:01 UTC
Just starting to test. I follow Gandalf comment there to ask than progress bar in scan dialog is always set to 100%. scanning still under progress there... Wait and see.

Note : I starting agin from scratch too. Not DB, no settings. To set 1th root album and DB path in first run wizard, digiKam do not ask me again root collection paths with setup collection page.

Gilles Caulier
Comment 22 caulier.gilles 2010-05-11 10:35:21 UTC
Marcel,

Result is the same there : no physical album can be seen in left sidebar after than scan is complete.

Gilles Caulier
Comment 23 caulier.gilles 2010-05-11 10:37:14 UTC
Created attachment 43460 [details]
digikamrc file from Gilles Caulier computer
Comment 24 caulier.gilles 2010-05-11 10:38:34 UTC
Created attachment 43461 [details]
lead sqlite DB file from Gilles Caulier computer
Comment 25 caulier.gilles 2010-05-11 10:39:22 UTC
Created attachment 43462 [details]
thumbs sqlite DB file from Gilles Caulier computer
Comment 26 caulier.gilles 2010-05-11 16:25:27 UTC
Marcel,

I updated my 2nd computer my svn trunk. I can see the same dysfunction.

I removed all settings and DB files from my computer and restarted from scratch.

I will attach files to hack...

Gilles Caulier
Comment 27 caulier.gilles 2010-05-11 16:26:42 UTC
Created attachment 43473 [details]
digikamrc file from 2nd Gilles Caulier computer
Comment 28 caulier.gilles 2010-05-11 16:27:41 UTC
Created attachment 43474 [details]
lead sqlite DB file from 2nd Gilles Caulier computer
Comment 29 caulier.gilles 2010-05-11 16:28:15 UTC
Created attachment 43475 [details]
thumbs sqlite DB file from 2nd Gilles Caulier computer
Comment 30 caulier.gilles 2010-05-11 17:20:10 UTC
Marcel,

Same problem on my last computer. Same configuration, same settings...

Gilles
Comment 31 caulier.gilles 2010-05-11 17:22:52 UTC
Created attachment 43476 [details]
digikamrc file from 3th Gilles Caulier computer
Comment 32 caulier.gilles 2010-05-11 17:23:38 UTC
Created attachment 43477 [details]
lead sqlite DB file from 3th Gilles Caulier computer
Comment 33 caulier.gilles 2010-05-11 17:24:17 UTC
Created attachment 43478 [details]
thumbs sqlite DB file from 3th Gilles Caulier computer
Comment 34 Marcel Wiesweg 2010-05-11 18:00:02 UTC
Gilles, sorry for making you test this on many machines. This has been not a single bug but an accumulation of at least four or five different problems, three of them now fixed. I can reproduce the problem that no albums are visible after the initial scan in a fresh installation. Will fix it.
Comment 35 Julien Narboux 2010-05-12 19:58:34 UTC
Using svn version of today, i get the following error message at startup and Digikam is stuck.

No album library path has been found in the configuration file. Giving up the schema updating process. Please try with an empty database, or repair your configuration.

Here is console output :
digikam(9512)/digikam (core) Digikam::AlbumManager::setDatabase: DatabaseParameters: [ Type "QSQLITE", Name "/home/jnarboux/Images/digikam4.db" (Thumbnails Name "/home/jnarboux/Images/thumbnails-digikam.db"); ConnectOptions: "", Host Name and Port: "" -1; Username and Password: "", ""]
QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest' is still in use, all queries will cease to work.
digikam(9512)/digikam (core) Digikam::SchemaUpdater::update: SchemaUpdater update
digikam(9512)/digikam (core) Digikam::SchemaUpdater::startUpdates: Have a database structure version  "4"
digikam(9512)/digikam (core) Digikam::SchemaUpdater::makeUpdates: makeUpdates  4  to  5
digikam(9512)/digikam (core) Digikam::SchemaUpdater::updateV4toV5: updateV4toV5
digikam(9512)/digikam (core) Digikam::SchemaUpdater::updateV4toV5: Moved tables
digikam(9512)/digikam (core) Digikam::SchemaUpdater::updateV4toV5: Dropped triggers
digikam(9512)/digikam (core) Digikam::DatabaseConfigElementLoader::readConfig: "/usr/share/kde4/apps/digikam/database/dbconfig.xml"
digikam(9512)/digikam (core): Album library path from config file is empty. Aborting update. 
digikam(9512)/digikam (core) Digikam::DatabaseCoreBackend::prepareQuery: Prepare failed!
digikam(9512)/digikam (core) Digikam::DatabaseCoreBackendPrivate::debugOutputFailedQuery: Failure executing query:
 "DELETE FROM Albums WHERE albumRoot=?;" 
Error messages: "no such column: albumRoot Unable to execute statement" 1 2 "no such column: albumRoot" "Unable to execute statement" QSqlError(-1, "", "") 
Bound values:  ()
digikam(9512)/digikam (core) Digikam::DatabaseCoreBackendPrivate::debugOutputFailedQuery: Failure executing query:
 "DELETE FROM Albums WHERE albumRoot=?;" 
Error messages: " Parameter count mismatch" -1 2 "" "Parameter count mismatch" QSqlError(-1, "", "") 
Bound values:  (QVariant(int, 0) )
digikam(9512)/digikam (core) Digikam::DatabaseCoreBackend::prepareQuery: Prepare failed!
digikam(9512)/digikam (core) Digikam::DatabaseCoreBackendPrivate::debugOutputFailedQuery: Failure executing query:
 "SELECT Albums.id, Albums.relativePath, Albums.albumRoot from Albums; " 
Error messages: "no such column: Albums.relativePath Unable to execute statement" 1 2 "no such column: Albums.relativePath" "Unable to execute statement" QSqlError(-1, "", "") 
Bound values:  ()
digikam(9512)/digikam (core) Digikam::DatabaseCoreBackendPrivate::debugOutputFailedQuery: Failure executing query:
 "SELECT Albums.id, Albums.relativePath, Albums.albumRoot from Albums; " 
Error messages: "No query Unable to fetch row" -1 1 "No query" "Unable to fetch row" QSqlError(-1, "", "") 
Bound values:  ()
QMetaMethod::invoke: Unable to handle unregistered datatype 'DatabaseErrorAnswer*'
digikam(9512)/digikam (core): Failed to invoke DatabaseErrorHandler. Aborting all queries. 
digikam(9512)/digikam (core) Digikam::IccSettingsPriv::scanDirectories: ("/usr/share/color/icc")
Time elapsed: 127 ms
Time elapsed: 4 ms
Model: Time elapsed: 166 ms
TextureColorizer: Time elapsed: 90 ms
digikam(9512)/digikam (core) Digikam::SearchTextBar::setModel: Got new model  Digikam::AbstractCheckableAlbumModel(0x32204e0)








Trying again I get this output :





digikam(9558)/digikam (core) Digikam::AlbumManager::setDatabase: DatabaseParameters: [ Type "QSQLITE", Name "/home/jnarboux/Images/digikam4.db" (Thumbnails Name "/home/jnarboux/Images/thumbnails-digikam.db"); ConnectOptions: "", Host Name and Port: "" -1; Username and Password: "", ""]
QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest' is still in use, all queries will cease to work.
digikam(9558)/digikam (core) Digikam::SchemaUpdater::update: SchemaUpdater update
digikam(9558)/digikam (core) Digikam::SchemaUpdater::startUpdates: Have a database structure version  "4"
digikam(9558)/digikam (core) Digikam::SchemaUpdater::makeUpdates: makeUpdates  4  to  5
digikam(9558)/digikam (core) Digikam::SchemaUpdater::updateV4toV5: updateV4toV5
digikam(9558)/digikam (core) Digikam::SchemaUpdater::updateV4toV5: Moved tables
digikam(9558)/digikam (core) Digikam::SchemaUpdater::updateV4toV5: Dropped triggers
digikam(9558)/digikam (core) Digikam::DatabaseConfigElementLoader::readConfig: "/usr/share/kde4/apps/digikam/database/dbconfig.xml"
digikam(9558)/digikam (core): Album library path from config file is empty. Aborting update. 
QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed: Aucun fichier ou dossier de ce type
QFileSystemWatcher: failed to add paths: /home/jnarboux/.config/ibus/bus
Bus::open: Can not get ibus-daemon's address. 
IBusInputContext::createInputContext: no connection to ibus-daemon
Comment 36 Marcel Wiesweg 2010-05-13 15:30:33 UTC
SVN commit 1126263 by mwiesweg:

Don't forget to order counting of total-files-to-scan in case the progress
dialog is shown at first start

CCBUG: 235928

 M  +1 -1      scancontroller.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1126263
Comment 37 Marcel Wiesweg 2010-05-13 15:44:35 UTC
SVN commit 1126273 by mwiesweg:

Some polishing.
Streamline legacyAndDefaultChecks().
Do not remove old entries in legacyAndDefaultChecks(), the "Album Path" is used by SchemaUpdater.

CCBUG: 235928

 M  +42 -35    databaseparameters.cpp  
 M  +4 -1      databaseparameters.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1126273
Comment 38 Marcel Wiesweg 2010-05-13 15:44:41 UTC
SVN commit 1126274 by mwiesweg:

Fix bug where logic was reverted.
As there is no such thing as a null QSqlQuery, pass only the query text
and the last error to the error handler.

CCBUG: 235928

 M  +5 -5      digikam/databaseguierrorhandler.cpp  
 M  +2 -2      digikam/databaseguierrorhandler.h  
 M  +3 -3      libs/database/databaseerrorhandler.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1126274
Comment 39 Marcel Wiesweg 2010-05-13 15:44:42 UTC
SVN commit 1126275 by mwiesweg:

Fix various bugs with SQL error handling:
For SQLite, there is no sense in trying to close database and reconnect. In fact, the database
will open again, but remain locked in this case, so that all subsequent statements fail.
Limit connection error handling to MySQL.
Restructure query error handling, reuse code.

CCBUG: 235928

 M  +62 -59    databasecorebackend.cpp  
 M  +10 -1     databasecorebackend.h  
 M  +8 -7      databasecorebackend_p.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1126275
Comment 40 Marcel Wiesweg 2010-05-13 15:44:46 UTC
SVN commit 1126276 by mwiesweg:

When a new tag was added by TagsCache, invalidate the internal cache.
When a transaction is active, the TagChangeset may arrive only later;
but we know that the tag was changed.
(this was the original SQL error that caused, though itself no problem,
 a lot of problems due to broken error handling in 235928)

CCBUG: 235928

 M  +8 -0      tagscache.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1126276
Comment 41 Marcel Wiesweg 2010-05-13 15:50:28 UTC
For me, the situation of a fresh installation with SQlite works now.

There are a few scenarios which I cannot easily test, like upgrading from <= 0.9, upgrading from 1.0/1.1/1.2.
Especially when upgrading from 0.9, a config key ("Album Path") has been deleted by previous 1.3-svn which is needed by the SchemaUpdater. Julien's problem may be related.
Comment 42 caulier.gilles 2010-05-13 18:38:33 UTC
Marcel,

I can confirm that SQlite support is fixed now. Thanks a lots.

I will test Mysql embeded now.

Gilles
Comment 43 Jens Mueller 2010-05-14 10:08:51 UTC
Starting in a fresh environment works also for me now, thanks Marcel! But upgrade from 1.2 is still broken, I get:

digikam(4028)/digikam (core) Digikam::AlbumManager::setDatabase: DatabaseParameters: [ Type "QSQLITE", Name "/home/jens/Bilder" (Thumbnails Name "/home/jens/Bilder/thumbnails-digikam.db"); ]
digikam(4028)/digikam (core): Error while opening the database. Error details [ QSqlError(-1, "Fehler beim Öffnen der Datenbank", "unable to open database file") ] 
digikam(4028)/digikam (core): Error while opening the database. Error details [ QSqlError(-1, "Fehler beim Öffnen der Datenbank", "unable to open database file") ] 
digikam(4028)/digikam (core): Error while opening the database. Error details [ QSqlError(-1, "Fehler beim Öffnen der Datenbank", "unable to open database file") ] 
digikam(4028)/digikam (core): Error while opening the database. Error details [ QSqlError(-1, "Fehler beim Öffnen der Datenbank", "unable to open database file") ] 
...

If I can help you in some way, let me know.

Regards, Jens
Comment 44 Gandalf Lechner 2010-05-14 10:36:45 UTC
Also here starting from scratch works again :-)
Comment 45 Marcel Wiesweg 2010-05-14 17:56:39 UTC
Jens: Is your digikamrc file original from 1.2, or was it touched by intermediate 1.3-svn versions? Can you post the [Database Settings] section?
Your db is /home/jens/Bilder/digikam4.db?
Comment 46 Jens Mueller 2010-05-14 19:02:54 UTC
Created attachment 43590 [details]
Digikam Config 1.2

Yes my db is in /home/jens/Bilder/ Just to be shure, I created a new config file and a new database with version 1.2 and tried then the upgrade to current 1.3 with the same result.
Comment 47 Marcel Wiesweg 2010-05-15 17:52:48 UTC
SVN commit 1127144 by mwiesweg:

Fix problem upgrading the digikamrc file from 1.2 to 1.3:

Separate out the logic to get the db file from a path for SQLite into static methods.
The problem was that isSQLite() is false for a recently constructed argument,
when calling parametersForSQLite().

CCBUG: 235928

 M  +50 -29    databaseparameters.cpp  
 M  +5 -0      databaseparameters.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1127144
Comment 48 Marcel Wiesweg 2010-05-15 18:45:42 UTC
Jens, yes there was a bug, I think it works now.
Comment 49 Jens Mueller 2010-05-15 20:37:27 UTC
Yes Marcel, all visible problems are gone. I checked again upgrad and fresh install. But database section from upgrade differs compared to fresh install. 

Fresh install:
[Database Settings]
Database Connectoptions=
Database Hostname=
Database Name=/home/jens/Bilder/
Database Name Thumbnails=/home/jens/Bilder/
Database Password=
Database Port=-1
Database Type=QSQLITE
Database Username=
Internal Database Server=false


Upgrad:
[Database Settings]
Database Connectoptions=
Database Hostname=
Database Name=
Database Name Thumbnails=
Database Password=
Database Port=-1
Database Type=
Database Username=
Internal Database Server=false

Regards, Jens
Comment 50 Julien Narboux 2010-05-15 21:41:09 UTC
Thanks Marcel,

I can confirm that update from 1.2.0 to 1.3.0svn worked !

Julien
Comment 51 Marcel Wiesweg 2010-05-15 22:20:39 UTC
SVN commit 1127196 by mwiesweg:

In main(), when we have the db params to use, write them to the config file.
This is needed for all first-run or upgrade situations.

CCBUG: 235928

 M  +2 -0      main.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1127196
Comment 52 Jens Mueller 2010-05-16 22:27:02 UTC
I think everything is fine for me now (but have not tested mysql support)

Jens
Comment 53 caulier.gilles 2010-05-17 08:55:47 UTC
I will switch my computers to Mysql and report today.

Gilles
Comment 54 caulier.gilles 2010-05-17 11:09:07 UTC
Marcel, 

This is my condition to switch from SQlite to MysSQL :

- Clean up all, no DB file, no config file.
- Start digiKam from scratch from First Run Assistant.
- Go imediatly to DB config pannel, and swith from SQLite to Internal MySQL.

Results and remarks :

1/ I press on "Check DB connection" button. Why i can see these message on the console :

digikam(1396)/digikam (core) Digikam::SetupDatabase::readSettings: Comparing comboboxentry on index [ 0 ] [ "QSQLITE" ] with [ "QSQLITE" ]                                                                                                                  
digikam(1396)/digikam (core) Digikam::SetupDatabase::readSettings: Comparing comboboxentry on index [ 1 ] [ "QMYSQL" ] with [ "QSQLITE" ]                                                                                                                   
digikam(1396)/digikam (core) Digikam::DatabaseParameters::defaultParameters: ConnectOptions  "UNIX_SOCKET=/home/gilles/.kde4/share/apps/digikam/db_misc/mysql.socket"                                                                                       
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]                                                       
(3959) Digikam::DatabaseConfigElementLoader::readConfig: "/usr/share/apps/digikam/database/dbconfig.xml"                      
(3959) Digikam::DatabaseParameters::defaultParameters: ConnectOptions  "UNIX_SOCKET=/home/gilles/.kde4/share/apps/digikam/db_misc/mysql.socket"                                                                                                             
(3959) Digikam::DatabaseServer::startMYSQLDatabaseProcess: Failed to use database "digikam"                                   
(3959) Digikam::DatabaseServer::startMYSQLDatabaseProcess: Query error: "Unknown database 'digikam' QMYSQL: Unable to execute query"                                                                                                                        
(3959) Digikam::DatabaseServer::startMYSQLDatabaseProcess: Database error: "Can't connect to local MySQL server through socket '/home/gilles/.kde4/share/apps/digikam/db_misc/mysql.socket' (2) QMYSQL: Unable to connect"                                  
(3959) Digikam::DatabaseServer::startMYSQLDatabaseProcess: Trying to create database now...                                   
(3959) Digikam::DatabaseServer::startMYSQLDatabaseProcess: Database was successfully created                                  
QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest' is still in use, all queries will cease to work.             
(3959) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-30762" ] is using the database server                                                                                                         
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]                                                       
(3959) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-30762" ] is using the database server                                                                                                         
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]                                                       
(3959) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-30762" ] is using the database server                                                                                                         
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]                                                       
timeChanged                                                                                                                   
void SunLocator::update()                                                                                                     
timeChanged                                                                                                                   
void SunLocator::update()                                                                                                     
(3959) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-30762" ] is using the database server                                                                                                         
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]                                                       
(3959) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-30762" ] is using the database server                                                                                                         
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]                                                       
(3959) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-30762" ] is using the database server                                                                                                         
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]                                                       
(3959) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-30762" ] is using the database server
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(3959) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-30762" ] is using the database server
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(3959) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-30762" ] is using the database server
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
timeChanged
void SunLocator::update()
timeChanged
void SunLocator::update()
(3959) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-30762" ] is using the database server
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(3959) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-30762" ] is using the database server
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(3959) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-30762" ] is using the database server
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(3959) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-30762" ] is using the database server
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(3959) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-30762" ] is using the database server
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(3959) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-30762" ] is using the database server
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
timeChanged
void SunLocator::update()
timeChanged
void SunLocator::update()
(3959) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-30762" ] is using the database server
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(3959) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-30762" ] is using the database server
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(3959) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-30762" ] is using the database server
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]

Soemthing is wrong with this message : "Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]"

Note : this message continu to be printed on the console after than digiKam instance is closed. It's relevant of digikamdatabaseserver.

[gilles@pc-caulier digikam]$ ps -ax |grep digikamdata
 3959 ?        Sl     0:00 /usr/lib/kde4/libexec/digikamdatabaseserver
[gilles@pc-caulier digikam]$

If i kill it, this message disappear.

2/ I press Ok button from DB config pannel. digiKam show Collection File paths settings panel. Why ? digiKam is not able to take SQlite collection paths and import it as well ?

3/ I set by hand the unique collection path (/mnt/data/photos) where DB files are hosted. I press ok. Collection File paths settings panel still displayed with the progress dialog starting to scan collection path. I think that collection settings panel can be closed there. Progress dialog look fine.

4/ When Scanning is complete, all dialog are closed properly and focus go back to icon view. On the console i can always seen :

(3959) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-30762" ] is using the database server
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(3959) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-30762" ] is using the database server
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(3959) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-30762" ] is using the database server
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(3959) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-30762" ] is using the database server
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(3959) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-30762" ] is using the database server
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(3959) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-30762" ] is using the database server
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]

Help/DB stats dialog show right information.
I can navigate through folder view, search tools, and other. It sound to work.

5/ I close digiKam. I can see these messages on the console :

(3959) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-30762" ] is using the database server
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
Model deleted: Marble::MarbleModel(0xa294350)
Deleting FileStorageWatcher
Model deleted: Marble::MarbleModel(0xbe56dd8)
Deleting FileStorageWatcher
QSqlDatabasePrivate::removeDatabase: connection 'digikamDatabase-156351760' is still in use, all queries will cease to work.
QSqlDatabasePrivate::removeDatabase: connection 'digikamDatabase-214966704' is still in use, all queries will cease to work.
QSqlDatabasePrivate::removeDatabase: connection 'thumbnailDatabase-214966704' is still in use, all queries will cease to work.
(3959) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-30762" ] is using the database server
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
Error in my_thread_global_end(): 2 threads didn't exit
[gilles@pc-caulier digikam]$ (3959) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-30762" ] is using the database server
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(3959) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-30762" ] is using the database server
(3959) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]

Something is wrong there ?

Gilles Caulier
Comment 55 caulier.gilles 2010-05-17 11:16:09 UTC
Marcel,

This is an other request from me. I'm sure that users will complain about in the future. It's about internal MySQl settings panel which is inconsistent against SQlite settings panel.

SQlite provide a way to setup DB files path independently that collection path. By default MySQl settings use cached kde4 dir from user home dir :

~/.kde4/share/apps/digikam/db_misc/

I cannot set-up something like /mnt/data/database, hosted in a separate HDD partition. This is important to not fill home dir with huge DB files. It's better to have a way to configure MySQL files paths hosted in a separate partition or a remote path mounted locally.

What do you think about ?

Gilles Caulier
Comment 56 Marcel Wiesweg 2010-05-17 18:36:36 UTC
For the debug message from the database server, I guess we can safely disable it.

It seems most of the functionality is working.
I agree the migration process leaves room to polish, there are also these bugs relevant:
- 233762 Provide reasonable defaults and help for the database settings page
- 233763 Changing to mysql with invalid settings is "possible"
- 233765 Ask for migration after changing database settings
- 233769 Inform about migration into existing database
- 233770 Error messages after changing to mysql

which have a "(Holger)" currently on my todo list ;-)
Comment 57 Johannes Wienke 2010-05-17 20:14:55 UTC
"Bug 233549 [database] Stuck at saving new image" also needs to be fixed to my mind as it is a major loss of functionality if someone else encounters this.
Comment 58 Dany 2010-06-12 09:11:14 UTC
Upgraded to 1.3 release on ArchLinux. I get the same error when starting with no database:

QSqlDatabase:  driver not loaded
QSqlDatabase: available drivers: QSQLITE QMYSQL3 QMYSQL QODBC3 QODBC QPSQL7 QPSQL
digikam(4263)/digikam (core): Error while opening the database. Error details [ QSqlError(-1, "Driver not loaded", "Driver not loaded") ]


Now if I use my regular command (digikam --database-directory /media/PHOTOS/PHOTOS/Digikam/) to use the database and pictures located on my external hard drive I get:

Digikam(4532)/digikam (core): The given database-directory does not exist or is not readable. Ignoring.
QSqlDatabase:  driver not loaded
QSqlDatabase: available drivers: QSQLITE QMYSQL3 QMYSQL QODBC3 QODBC QPSQL7 QPSQL
digikam(4532)/digikam (core): Error while opening the database. Error details [ QSqlError(-1, "Driver not loaded", "Driver not loaded") ]
digikam(4532)/digikam (core): Error while opening the database. Error details [ QSqlError(-1, "Driver not loaded", "Driver not loaded") ]

There are both digikam4.db and thumbnails-digikam.db in the above directory.
Comment 59 Marcel Wiesweg 2010-06-12 16:05:39 UTC
There is a bug with the command line option, see fix.

What does "start with no database" mean? When you start with an empty config, the first run wizard should appear.
Comment 60 Marcel Wiesweg 2010-06-12 16:05:42 UTC
SVN commit 1137359 by mwiesweg:

Fix reading db file from command line

CCBUG: 235928

 M  +3 -3      main.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1137359
Comment 61 Dany 2010-06-12 21:50:23 UTC
I was not getting the wizard at all. I went ahead and deleted digikamrc and now I get the wizard again.

Regarding the fix for the command line bug. Can I just use the mentioned file with the 1.3.0 release (not SVN) ?
Comment 62 Dany 2010-06-13 09:05:43 UTC
Recompiled SVN version and can now open my database from command line. Thank you for the suggestions.
Comment 63 Bruno Friedmann 2010-08-01 11:13:48 UTC
Info about digikam rpm : 
Repository: @System
Name: digikam
Version: 1.3.0-41.1
Arch: i586
Vendor: obs://build.opensuse.org/KDE
Installed: Yes
Status: up-to-date
Installed Size: 15.5 MiB
Summary: A KDE Photo Manager

Context : in a project to store and work with ~1500000 photos we have to use mysql (several computers need access to the same db)
Those mysql server is up and running a user exist and have all rights to it's digikam db. 
(All works with akonadi and amarok)

What steps will reproduce the problem?

1. Open digikam 1.3.1, and try to setup the use of mysql

2. Mysql is setup to use innodb engine by default ( necessary for akonadi ) and also the digikam database ( triggers )

3. digikam stop  with the error of unable to write table : this is due to the use of string in index without limiting them to a max of 255

4. I've not found how can I pre setup the digikam to directly use the mysql before indexing my folders.

5. We try to correct manually the qsql instruction as you wrongly use string index that are more than 255 and this is not supported by innodb.

What is the actual output?
lot's of error

What is the expected output?
a smooth working database.

Even trying to use the mysql embedded server ... 

(23291) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(23291) Digikam::DatabaseConfigElementLoader::readConfig: "/usr/share/kde4/apps/digikam/database/dbconfig.xml"
(23291) Digikam::DatabaseParameters::defaultParameters: ConnectOptions  "UNIX_SOCKET=/home/bruno/.kde4/share/apps/digikam/db_misc/mysql.socket"
(23291) Digikam::DatabaseServer::startMYSQLDatabaseProcess: Failed to use database "digikam"
(23291) Digikam::DatabaseServer::startMYSQLDatabaseProcess: Query error: "Unknown database 'digikam' QMYSQL: Unable to execute query"
(23291) Digikam::DatabaseServer::startMYSQLDatabaseProcess: Database error: "Can't connect to local MySQL server through socket '/home/bruno/.kde4/share/apps/digikam/db_misc/mysql.socket' (2) QMYSQL: Unable to connect"
(23291) Digikam::DatabaseServer::startMYSQLDatabaseProcess: Trying to create database now...
(23291) Digikam::DatabaseServer::startMYSQLDatabaseProcess: Database was successfully created
QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest' is still in use, all queries will cease to work.
(23291) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-20202" ] is using the database server
(23291) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest' is still in use, all queries will cease to work.
QSqlDatabasePrivate::removeDatabase: connection 'digikamDatabase-139614608' is still in use, all queries will cease to work.
QSqlDatabasePrivate::addDatabase: duplicate connection name 'digikamDatabase-139614608', old connection removed.
digikam(20046)/digikam (core): Error while opening the database. Error details [ QSqlError(-1, "Erreur lors de l'ouverture de la base de données", "unable to open database file") ] 
digikam(20046)/digikam (core): Error while opening the database. Error details [ QSqlError(-1, "Erreur lors de l'ouverture de la base de données", "unable to open database file") ] 
digikam(20046)/digikam (core): Error while opening the database. Error details [ QSqlError(-1, "Erreur lors de l'ouverture de la base de données", "unable to open database file") ] 
digikam(20046)/digikam (core): Error while opening the database. Error details [ QSqlError(-1, "Erreur lors de l'ouverture de la base de données", "unable to open database file") ] 
digikam(20046)/digikam (core): Error while opening the database. Error details [ QSqlError(-1, "Erreur lors de l'ouverture de la base de données", "unable to open database file") ] 
digikam(20046)/digikam (core): Error while opening the database. Error details [ QSqlError(-1, "Erreur lors de l'ouverture de la base de données", "unable to open database file") ] 
digikam(20046)/digikam (core): Error while opening the database. Error details [ QSqlError(-1, "Erreur lors de l'ouverture de la base de données", "unable to open database file") ] 
digikam(20046)/digikam (core): Error while opening the database. Error details [ QSqlError(-1, "Erreur lors de l'ouverture de la base de données", "unable to open database file") ] 
(23291) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-20202" ] is using the database server
(23291) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
digikam(20046)/digikam (core): Error while opening the database. Error details [ QSqlError(-1, "Erreur lors de l'ouverture de la base de données", "unable to open database file") ] 


What version of the product are you using? On what target Application (e.g.
Firefox 3.5.1, etc.)? On what operating system?
Extension Version =
Application =
OS =

Please provide any additional information below. In some cases
errors/warnings may be logged in the Error Console (in Firefox) which is
available under the Tools menu or using Ctrl+Shift+J. If you find any
related to this extension, please report that too.

Also our global mysql configuration is utf-8 as we have picture name coming from several countries which are not latin1 

our modified xml.

None of the triggers actually works with a mysql 5.1.46
Comment 64 Bruno Friedmann 2010-08-01 11:20:07 UTC
Created attachment 49725 [details]
Modified xml to reduce index string to 254

each instruction run by hand on mysql console work.

none of the triggers works for the moment syntax error on 5.1.46 mysql server.

Have commented thumbnail setting as settings table already exist.
Comment 65 Marcel Wiesweg 2010-08-02 09:56:15 UTC
Holger needs to have a look at that one. He's CC'ed.
Comment 66 Quallenauge 2010-08-03 12:36:54 UTC
Hi,

We should split up the problems on external and internal database here.
I also get an error when I try to use an internal database, which is not sql statement related.

I suggest to investigate the case, when using an external DB.

Can you give some more information about the following points:

>4. I've not found how can I pre setup the digikam to directly use the mysql
before indexing my folders.

What do you mean here in detail?

>none of the triggers works for the moment syntax error on 5.1.46 mysql server.

I have looked at the mysql-global.conf file (which is used by the internal started dbms) and found a comment from me, that some functions (triggers) are not working with innodb. Maybe you have an suggestion how to make it compatible? Can you provide the error messages?
Comment 67 Marcel Wiesweg 2010-08-04 12:10:25 UTC
> >4. I've not found how can I pre setup the digikam to directly use the mysql
> before indexing my folders.
> 
> What do you mean here in detail?

I think the problem is that the first-run wizard always sets up SQLite, without an option to choose MySQL from the beginning. So your files will first be indexes into SQLite. This can and will be fixed, but I think it's a minor problem because the information will be copied on migration, so no need to re-index the whole collection.
Comment 68 km 2010-08-20 03:25:29 UTC
I still have this problem with mysql (internal server) after upgrade from 1.2
Comment 69 caulier.gilles 2010-08-20 08:37:40 UTC
Install digiKam 1.3.0 release and try again

Gilles Caulier
Comment 70 km 2010-08-27 13:57:46 UTC
still the same with digikam 1.4
Comment 71 Quallenauge 2010-09-15 11:45:02 UTC
I've checked in some changes related to this
problem into the gsoc branch.

Can you please try if this fixes the problem with the following steps:

Delete your (internal) digikam database files
rm ~/.kde4/share/apps/digikam/db*
rm ~/.kde4/share/apps/digikam/mysql*

Then modify the database template which is located on
/usr/share/apps/digikam/database/mysql-global.conf
and enabled the following setting:
#default_storage_engine=innodb

After that switch to the internal mysql method
via config dialog and see if it works.

If this is also true for you, we can enable it as default.
Comment 72 caulier.gilles 2010-10-06 15:25:02 UTC
Gandalf,

Do you see comment #71 ?

Gilles Caulier
Comment 73 Bruno Friedmann 2010-10-07 09:40:02 UTC
Tested today with digikam 1.4.0.4 opensuse 11.3 / mysql-comunity 5.1.46
innodb as default engine
Result = failed during migration 7%

digikam
QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest' is still in use, all queries will cease to work.
Time elapsed: 176 ms
Time elapsed: 2 ms
Model: Time elapsed: 311 ms
TextureColorizer: Time elapsed: 100 ms
Time elapsed: 2 ms
Time elapsed: 2 ms
Model: Time elapsed: 10 ms
(7726) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(7726) Digikam::DatabaseConfigElementLoader::readConfig: "/usr/share/kde4/apps/digikam/database/dbconfig.xml"
(7726) Digikam::DatabaseParameters::defaultParameters: ConnectOptions  "UNIX_SOCKET=/home/bruno/.kde4/share/apps/digikam/db_misc/mysql.socket"
(7726) Digikam::DatabaseServer::startMYSQLDatabaseProcess: Failed to use database "digikam"
(7726) Digikam::DatabaseServer::startMYSQLDatabaseProcess: Query error: "Unknown database 'digikam' QMYSQL: Unable to execute query"
(7726) Digikam::DatabaseServer::startMYSQLDatabaseProcess: Database error: "Can't connect to local MySQL server through socket '/home/bruno/.kde4/share/apps/digikam/db_misc/mysql.socket' (2) QMYSQL: Unable to connect"
(7726) Digikam::DatabaseServer::startMYSQLDatabaseProcess: Trying to create database now...
(7726) Digikam::DatabaseServer::startMYSQLDatabaseProcess: Database was successfully created
QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest' is still in use, all queries will cease to work.
(7726) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-7140" ] is using the database server
(7726) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
QSqlDatabasePrivate::removeDatabase: connection 'MigrationToDatabase182567520' is still in use, all queries will cease to work.
QSqlQuery::prepare: empty query
(7726) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-7140" ] is using the database server
(7726) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(7726) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-7140" ] is using the database server
(7726) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(7726) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-7140" ] is using the database server
(7726) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(7726) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-7140" ] is using the database server
(7726) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(7726) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-7140" ] is using the database server
(7726) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(7726) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-7140" ] is using the database server
(7726) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest' is still in use, all queries will cease to work.
QSqlDatabasePrivate::removeDatabase: connection 'MigrationToDatabase182567520' is still in use, all queries will cease to work.
QSqlQuery::prepare: empty query
(7726) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-7140" ] is using the database server
(7726) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(7726) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-7140" ] is using the database server
(7726) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
QSqlDatabasePrivate::removeDatabase: connection 'MigrationToDatabase182567520' is still in use, all queries will cease to work.
QSqlQuery::prepare: empty query
(7726) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-7140" ] is using the database server
(7726) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(7726) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-7140" ] is using the database server
(7726) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(7726) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-7140" ] is using the database server
(7726) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(7726) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-7140" ] is using the database server
(7726) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(7726) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-7140" ] is using the database server
(7726) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest' is still in use, all queries will cease to work.
QSqlDatabasePrivate::removeDatabase: connection 'MigrationToDatabase182567520' is still in use, all queries will cease to work.
QSqlQuery::prepare: empty query
(7726) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-7140" ] is using the database server
(7726) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(7726) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-7140" ] is using the database server
(7726) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(7726) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-7140" ] is using the database server
(7726) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]
(7726) Digikam::PollThread::checkDigikamInstancesRunning: At least service [ "org.kde.digikam.KIO-digikamtags-7140" ] is using the database server
(7726) Digikam::PollThread::run: Waiting  10  seconds...stop: [ false ]

Also tried with the non-embeded server 
only the albumroots table is created.

cause : indexes for innodb are too long ... picked from dbconfig.xml

mysql> CREATE TABLE Albums
    ->                             (id INTEGER PRIMARY KEY NOT NULL AUTO_INCREMENT,
    ->                             albumRoot INTEGER NOT NULL,
    ->                             relativePath LONGTEXT CHARACTER SET utf8 NOT NULL,
    ->                             date DATE,
    ->                             caption LONGTEXT CHARACTER SET utf8,
    ->                             collection LONGTEXT CHARACTER SET utf8,
    ->                             icon INTEGER,
    ->                             UNIQUE(albumRoot, relativePath(332)));
ERROR 1071 (42000): Specified key was too long; max key length is 767 bytes

with the modified dbconfig.xml
(change all 332 & 333 index length to 254, migration works.)

But going to configuration, and setting digikam to use the migrated database failed immediately with a table creation error ... 
Why creation tables if they already exist and contain data ... ( checked with mysql tools )
Comment 74 Gandalf Lechner 2010-10-08 09:48:55 UTC
(In reply to comment #72)
> Gandalf,
> 
> Do you see comment #71 ?
> 
> Gilles Caulier

For me, this problem has long since disappeared - see #44.

Gandalf
Comment 75 caulier.gilles 2010-10-08 10:08:58 UTC
Marcel, Quallenauge,

Can this file can be closed, or it still some pending investiguations to do ?

Gilles Caulier
Comment 76 Marcel Wiesweg 2010-10-09 12:25:23 UTC
I'd say there are still problems with InnoDB, but I'm not familiar with that stuff.
Comment 77 Bruno Friedmann 2010-10-09 13:51:11 UTC
For the innodb creation, the trouble is only due to the use of big varchar index
(332 or 333 length ) and should be limited to 254

see my comment #73
Comment 78 Quallenauge 2010-10-09 20:29:55 UTC
I made some patches in gsoc branch:

- limit all table index length to 254
- added a fix which prevents the interbal database server from closing while
  the db is created

For me it's working both the internal database server
and also a external mysql dbms which defaults to the InnoDB backend when a table is created.

Can you please try the gsoc branch? In case that it is working, I'm willing to transfer the changes to the trunk.
Comment 79 Bruno Friedmann 2010-10-09 22:14:37 UTC
Sorry Quallenauge, I don't know (nor think I have all the dev package to build it quickly) about the gsoc branch.

Can someone build it on obs.opensuse.org ? or explain me how to get the necessary source code, so I can ask to experiment builder to make me a testing rpm ...
Comment 80 caulier.gilles 2010-11-24 09:08:12 UTC
digiKam 1.6.0 is out:

http://www.digikam.org/drupal/node/550

Please update and check if this entry still valid.

Thanks in advance

Gilles Caulier
Comment 81 Bruno Friedmann 2010-12-02 13:58:01 UTC
Hi Gilles, sorry take me some times to get the new 4.6b1 and digikam 1.6 up and running.

Well the bad new : the index are wrong in 1.6x like they where in 1.4 & 1.5 version

Here's how you can correct this ( I made the patch this time, and my explanation before wasn't understand nor applyied ! )

diff -u dbconfig.xml.original dbconfig.xml
--- dbconfig.xml.original       2010-12-02 13:53:39.969326075 +0100
+++ dbconfig.xml        2010-12-02 13:55:19.766326076 +0100
@@ -554,7 +554,7 @@
                             caption LONGTEXT CHARACTER SET utf8,
                             collection LONGTEXT CHARACTER SET utf8,
                             icon INTEGER,
-                            UNIQUE(albumRoot, relativePath(332)));</statement>
+                            UNIQUE(albumRoot, relativePath(254)));</statement>
             <statement mode="plain">CREATE TABLE Images
                             (id INTEGER PRIMARY KEY NOT NULL AUTO_INCREMENT,
                             album INTEGER,
@@ -564,7 +564,7 @@
                             modificationDate DATETIME,
                             fileSize INTEGER,
                             uniqueHash VARCHAR(32),
-                            UNIQUE (album, name(332)));</statement>
+                            UNIQUE (album, name(254)));</statement>
             <statement mode="plain">CREATE TABLE ImageHaarMatrix
                             (imageid INTEGER PRIMARY KEY,
                             modificationDate DATETIME,
@@ -648,7 +648,7 @@
                             (imageid  INTEGER NOT NULL,
                             property LONGTEXT CHARACTER SET utf8    NOT NULL,
                             value    LONGTEXT CHARACTER SET utf8    NOT NULL,
-                            UNIQUE (imageid, property(332)));</statement>
+                            UNIQUE (imageid, property(254)));</statement>
             <statement mode="plain">CREATE TABLE IF NOT EXISTS Searches
                             (id INTEGER PRIMARY KEY NOT NULL AUTO_INCREMENT,
                             type INTEGER,
@@ -664,7 +664,7 @@
             <statement mode="plain">CREATE TABLE IF NOT EXISTS Settings
                             (keyword LONGTEXT CHARACTER SET utf8 NOT NULL,
                             value LONGTEXT CHARACTER SET utf8,
-                            UNIQUE(keyword(333)));</statement></dbaction>
+                            UNIQUE(keyword(254)));</statement></dbaction>
 
 
             <!-- Indizes for V5 -->
@@ -872,12 +872,12 @@
                 <statement mode="query">CREATE TABLE FilePaths
                             (path LONGTEXT CHARACTER SET utf8,
                             thumbId INTEGER,
-                            UNIQUE(path(333)))
+                            UNIQUE(path(254)))
                 </statement>
                 <statement mode="query">CREATE TABLE Settings
                             (keyword LONGTEXT CHARACTER SET utf8 NOT NULL,
                             value LONGTEXT CHARACTER SET utf8,
-                            UNIQUE(keyword(333)))
+                            UNIQUE(keyword(254)))
                 </statement>
             </dbaction>
             <!-- Thumbnails Indexes DB -->
Comment 82 caulier.gilles 2010-12-02 13:59:31 UTC
Marcel your viepoint about patch from #81 ?

Gilles Caulier
Comment 83 Marcel Wiesweg 2010-12-06 15:00:30 UTC
According to Holger, by private mail, the necessary patches are included in the GSoc branch for testing, but seem to work quite well. Should be backport the relevant commits?
Comment 84 caulier.gilles 2010-12-06 15:12:13 UTC
If it work, i agree...

Gilles
Comment 85 caulier.gilles 2011-04-29 11:33:35 UTC
Marcel,

This file can be closed now ?

Gilles Caulier
Comment 86 Marcel Wiesweg 2011-04-30 18:09:06 UTC
Yes, as it seems to be fixed with 2.0. If not, anyone feel free to reopen / create a new report.
Comment 87 swatilodha27 2016-04-29 19:12:02 UTC
(In reply to Quallenauge from comment #71)
> I've checked in some changes related to this
> problem into the gsoc branch.
> 
> Can you please try if this fixes the problem with the following steps:
> 
> Delete your (internal) digikam database files
> rm ~/.kde4/share/apps/digikam/db*
> rm ~/.kde4/share/apps/digikam/mysql*
> 

I'm facing a exact similar problem. But I'm unable to locate digikam internal DB files. I receive this output in Konsole:
swati@swati-HP-Pavilion-15-Notebook-PC:~$ cd .kde/share/apps/digikam
bash: cd: .kde/share/apps/digikam: No such file or directory

> Then modify the database template which is located on
> /usr/share/apps/digikam/database/mysql-global.conf
> and enabled the following setting:
> #default_storage_engine=innodb
> 
> After that switch to the internal mysql method
> via config dialog and see if it works.
> 
> If this is also true for you, we can enable it as default.

Please help through this.
Regards
Swati
Comment 88 Maik Qualmann 2016-04-29 20:48:02 UTC
(In reply to swatilodha27 from comment #87)

> I'm facing a exact similar problem. But I'm unable to locate digikam
> internal DB files. I receive this output in Konsole:
> swati@swati-HP-Pavilion-15-Notebook-PC:~$ cd .kde/share/apps/digikam
> bash: cd: .kde/share/apps/digikam: No such file or directory

For digiKam5 look in $HOME/.local/share/digikam/

Maik
Comment 89 swatilodha27 2016-04-29 21:06:36 UTC
(In reply to Maik Qualmann from comment #88)
> (In reply to swatilodha27 from comment #87)
> 
> > I'm facing a exact similar problem. But I'm unable to locate digikam
> > internal DB files. I receive this output in Konsole:
> > swati@swati-HP-Pavilion-15-Notebook-PC:~$ cd .kde/share/apps/digikam
> > bash: cd: .kde/share/apps/digikam: No such file or directory
> 
> For digiKam5 look in $HOME/.local/share/digikam/
> 
Should I remove all these files and try again?
swati@swati-HP-Pavilion-15-Notebook-PC:~/.local/share/digikam$ ls
db_misc  file_db_data  mysql.conf

> Maik

Swati
Comment 90 caulier.gilles 2016-04-29 21:12:51 UTC
yes, sure, you can remove or rename all dir safety.

Gilles Caulier
Comment 91 swatilodha27 2016-04-29 21:20:57 UTC
Removed all the database files and still receiving the same error.

Swati
Comment 92 swatilodha27 2016-04-29 21:21:27 UTC
Removed all the database files and still receiving the same error.

Swati
Comment 93 swatilodha27 2016-04-30 02:06:07 UTC
Receiving this as error (if that helps):

An error occurred during the internal server start.
Details: Database process exited unexpectedly during initial connection.
Executable: /usr/sbin/mysqld
”
Process error: Unknown error
Comment 94 caulier.gilles 2016-04-30 06:54:26 UTC
/usr/sbin/mysqld exist on your system ?

Gilles Caulier
Comment 95 swatilodha27 2016-04-30 08:15:16 UTC
Yes it does.